> ## Documentation Index
> Fetch the complete documentation index at: https://docs.krea.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Search styles

> List styles with pagination and filtering. Returns public styles, user-created styles, or shared styles based on the filter parameter.



## OpenAPI

````yaml https://api.krea.ai/openapi.json get /styles
openapi: 3.1.0
info:
  title: Krea API
  version: v1
servers:
  - url: https://api.krea.ai
    description: Krea API
security:
  - bearerAuth: []
tags:
  - name: General
    description: Core API operations including job management and billing information
  - name: Krea
    description: Krea-owned generation models including Krea 2
  - name: Assets
    description: >-
      Asset management endpoints for uploading and managing images, videos,
      audio files, and 3D models
  - name: Styles
    description: Style (LoRA) generation and management endpoints
  - name: Node Apps
    description: Executing custom node apps built in our nodes tool
  - name: Image
    description: Image generation endpoints
  - name: Image Enhance
    description: Image enhance endpoints
  - name: Video
    description: Video generation endpoints
paths:
  /styles:
    get:
      tags:
        - Styles
      summary: Search styles
      description: >-
        List styles with pagination and filtering. Returns public styles,
        user-created styles, or shared styles based on the filter parameter.
      parameters:
        - in: query
          name: cursor
          schema:
            type: string
        - in: query
          name: limit
          schema:
            type: integer
            minimum: 1
            maximum: 1000
        - in: query
          name: ids
          schema:
            type: string
        - in: query
          name: liked
          schema:
            type: boolean
            default: false
        - in: query
          name: user
          schema:
            type: string
        - in: query
          name: model
          schema:
            type: string
        - in: query
          name: filter
          schema:
            type: string
            enum:
              - all
              - user
              - community
              - krea
              - shared
              - unapproved
              - editor
              - gallery
              - public
            default: all
      responses:
        '200':
          description: List of styles
          content:
            application/json:
              schema:
                type: object
                properties:
                  items:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          description: Unique identifier for the style
                        title:
                          type:
                            - string
                            - 'null'
                          description: Name of the style
                        urls:
                          type: array
                          items:
                            type: string
                            format: uri
                          description: Portrait-oriented preview URLs
                        public:
                          type: boolean
                          description: Whether the style is publicly visible
                        cover_url:
                          type:
                            - string
                            - 'null'
                          format: uri
                          description: Cover image URL
                        prompt:
                          type: string
                          description: Suggested prompt for using this style
                        models:
                          type: array
                          items:
                            type: string
                          description: Compatible model names (e.g., flux_dev, wan)
                        owner:
                          type:
                            - object
                            - 'null'
                          properties:
                            id:
                              type: string
                              format: uuid
                            name:
                              type: string
                            avatar_url:
                              type:
                                - string
                                - 'null'
                              format: uri
                          required:
                            - id
                            - name
                          description: Style creator info (null for Krea-official styles)
                        like_count:
                          type: number
                          description: Number of likes
                        created_at:
                          type: string
                          description: Creation timestamp
                      required:
                        - id
                        - title
                        - urls
                        - public
                        - prompt
                        - owner
                        - like_count
                        - created_at
                      description: Style response schema
                  next_cursor:
                    type:
                      - string
                      - 'null'
                required:
                  - items
                  - next_cursor
        '400':
          description: Invalid query parameters
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
components:
  securitySchemes:
    bearerAuth:
      scheme: bearer
      bearerFormat: Bearer
      type: http

````